Package org.apache.sysds.runtime.ooc.cache.collections

# Class ConcurrentBitSet

java.lang.Object
org.apache.sysds.runtime.ooc.cache.collections.ConcurrentBitSet

public class ConcurrentBitSet extends Object

## Constructor Summary

Constructors
Constructor
Description
`ConcurrentBitSet(int bits)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`clear(int i)`
`boolean`
`get(int i)`
`long`
`getWord(int wordIndex)`
`int`
`length()`
`boolean`
`set(int i)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConcurrentBitSet

public ConcurrentBitSet(int bits)

## Method Details

### get

public boolean get(int i)

### set

public boolean set(int i)

### clear

public boolean clear(int i)

### getWord

public long getWord(int wordIndex)

### length

public int length()